# Get workspace diff (vs mainline) Returns a summary of changes introduced by this workspace compared to mainline. Primarily used by the frontend AuditLog. Endpoint: GET /v1/plannings/{id}/workspaces/{workspace_pk}/diff/ Version: 1.0.0 Security: tokenAuth ## Path parameters: - `id` (string, required) - `workspace_pk` (string, required) ## Response 200 fields (application/json): - `planningId` (string, required) - `workspace` (object, required) - `workspace.id` (string, required) - `workspace.name` (string,null) - `workspace.status` (string, required) - `counts` (object, required) - `counts.assignments` (integer, required) - `counts.operations` (integer, required) - `counts.tasks` (integer, required) - `counts.locations` (integer, required) - `counts.resources` (integer, required) - `counts.rules` (integer, required) - `counts.tags` (integer, required) ## Response 400 fields (application/json): - `detail` (string, required) ## Response 404 fields (application/json): - `detail` (string, required) ## Response 500 fields (application/json): - `detail` (string, required) ## Response 401 fields ## Response 403 fields